import Vue from "vue";
import { Question, SurveyModel, FlowPanelModel } from "survey-core";
export declare class FlowPanelElement extends Vue {
    static idValue: number;
    node: Node;
    panel: FlowPanelModel;
    css: any;
    private elementIdValue;
    question: Question;
    tagName: string;
    nodes: Array<{
        node: Node;
        id: string;
    }>;
    text: string;
    style: any;
    private getStyle;
    getElementId(): string;
    get survey(): SurveyModel;
    beforeMount(): void;
    getComponentName(element: Question): string;
    private hasTextChildNodesOnly;
    private getChildDomNodes;
}
export default FlowPanelElement;
