import { Base, SurveyModel } from "survey-core";
import { BaseVue } from "./base";
export declare class Survey extends BaseVue {
    survey: SurveyModel;
    model: SurveyModel;
    processedCompletedHtmlValue: string;
    updater: number;
    get pageKey(): string;
    get navId(): string;
    constructor();
    protected getModel(): Base;
    get vueSurvey(): SurveyModel;
    onPropertyChanged(value: string, oldValue: string): void;
    forceUpdate(): void;
    protected onMounted(): void;
    get pageId(): string;
    private getActivePageId;
    private surveyOnMounted;
    beforeDestroy(): void;
    get hasTitle(): boolean;
    get hasCompletedPage(): boolean;
    get css(): any;
    getProcessedCompletedHtml(): string;
    start(): void;
}
export default Survey;
