import { PopupBaseViewModel, IDialogOptions } from "survey-core";
import { BaseVue } from "../../base";
export declare class PopupContainer extends BaseVue {
    model: PopupBaseViewModel;
    protected getModel(): PopupBaseViewModel;
    clickInside(event: any): void;
    onUpdated(): void;
}
export declare function showModal(componentName: string, data: any, onApply: () => boolean, onCancel?: () => void, cssClass?: string, title?: string, displayMode?: "popup" | "overlay"): PopupBaseViewModel;
export declare function showDialog(dialogOptions: IDialogOptions, rootElement?: HTMLElement): PopupBaseViewModel;
export default PopupContainer;
