import Vue from "vue";
import { FlowPanelModel, Question, QuestionRowModel, ISurvey } from "survey-core";
export declare class FlowPanel extends Vue {
    question: FlowPanelModel;
    isEditMode: Boolean;
    css: any;
    private isCollapsedValue;
    private rootNodeValue;
    get rootNode(): Node;
    beforeMount(): void;
    protected setRootNode(): void;
    protected renderQuestion(question: Question): string;
    mounted(): void;
    get rootStyle(): {};
    get showIcon(): boolean;
    get rows(): QuestionRowModel[];
    get hasTitle(): boolean;
    get survey(): ISurvey;
    get iconCss(): string;
    get isCollapsed(): boolean;
    set isCollapsed(val: boolean);
    changeExpanded(): void;
}
export default FlowPanel;
